package com.dgtly.order.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 交货单基础对象 deliver_order_base
 * 
 * @author dgtly
 * @date 2020-11-12
 */
public class EvaluateDto extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 是否删除 */
    private String isDelete;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNumber;

    /** 订单生成时间 */
    @Excel(name = "订单生成时间")
    private String orderCreationTime;

    /** 交货单号 */
    @Excel(name = "交货单号")
    private String deliveryNumber;

    /** 运单号 */
    @Excel(name = "运单号")
    private String shipmentNumber;

    /** 订单所属 */
    @Excel(name = "客户编码")
    private String belongTo;

    /** 经销商名称*/
    @Excel(name = "客户名称")
    private String customersName;

    /** 确认时间 */
    private Date confirmTime;

    /** 确认人 */
    private String confirmBy;

    /** 确认通知 */
    private String confirmNotice;

    /** 发送确认信息到dis仓库 */
    private String pushDisWarehouse;

    /** 是否评价 */
    private String evaluationStatus;

    /** 评价服务态度 */
    @Excel(name = "评价服务态度")
    private Long evaluationServiceAttitude;

    /** 评价破损情况 */
    @Excel(name = "评价破损情况")
    private Long evaluationDamageCondition;

    /** 评价按时到达 */
    @Excel(name = "评价按时到达")
    private Long evaluationArriveTime;

    /** 评价装卸情况 */
    @Excel(name = "评价装卸情况")
    private Long evaluationHandlingConditions;

    /** 文字评价 */
    @Excel(name = "文字评价")
    private String evaluation;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setIsDelete(String isDelete) 
    {
        this.isDelete = isDelete;
    }

    public String getIsDelete() 
    {
        return isDelete;
    }
    public void setOrderNumber(String orderNumber) 
    {
        this.orderNumber = orderNumber;
    }

    public String getOrderNumber() 
    {
        return orderNumber;
    }
    public void setOrderCreationTime(String orderCreationTime) 
    {
        this.orderCreationTime = orderCreationTime;
    }

    public String getOrderCreationTime() 
    {
        return orderCreationTime;
    }
    public void setDeliveryNumber(String deliveryNumber) 
    {
        this.deliveryNumber = deliveryNumber;
    }

    public String getDeliveryNumber() 
    {
        return deliveryNumber;
    }
    public void setShipmentNumber(String shipmentNumber) 
    {
        this.shipmentNumber = shipmentNumber;
    }

    public String getShipmentNumber() 
    {
        return shipmentNumber;
    }
    public void setBelongTo(String belongTo) 
    {
        this.belongTo = belongTo;
    }

    public String getBelongTo() 
    {
        return belongTo;
    }
    public void setConfirmTime(Date confirmTime) 
    {
        this.confirmTime = confirmTime;
    }

    public Date getConfirmTime() 
    {
        return confirmTime;
    }
    public void setConfirmBy(String confirmBy) 
    {
        this.confirmBy = confirmBy;
    }

    public String getConfirmBy() 
    {
        return confirmBy;
    }
    public void setConfirmNotice(String confirmNotice) 
    {
        this.confirmNotice = confirmNotice;
    }

    public String getConfirmNotice() 
    {
        return confirmNotice;
    }
    public void setPushDisWarehouse(String pushDisWarehouse) 
    {
        this.pushDisWarehouse = pushDisWarehouse;
    }

    public String getPushDisWarehouse() 
    {
        return pushDisWarehouse;
    }
    public void setEvaluationStatus(String evaluationStatus) 
    {
        this.evaluationStatus = evaluationStatus;
    }

    public String getEvaluationStatus() 
    {
        return evaluationStatus;
    }
    public void setEvaluationServiceAttitude(Long evaluationServiceAttitude) 
    {
        this.evaluationServiceAttitude = evaluationServiceAttitude;
    }

    public Long getEvaluationServiceAttitude() 
    {
        return evaluationServiceAttitude;
    }
    public void setEvaluationDamageCondition(Long evaluationDamageCondition) 
    {
        this.evaluationDamageCondition = evaluationDamageCondition;
    }

    public Long getEvaluationDamageCondition() 
    {
        return evaluationDamageCondition;
    }
    public void setEvaluationArriveTime(Long evaluationArriveTime) 
    {
        this.evaluationArriveTime = evaluationArriveTime;
    }

    public Long getEvaluationArriveTime() 
    {
        return evaluationArriveTime;
    }
    public void setEvaluationHandlingConditions(Long evaluationHandlingConditions) 
    {
        this.evaluationHandlingConditions = evaluationHandlingConditions;
    }

    public Long getEvaluationHandlingConditions() 
    {
        return evaluationHandlingConditions;
    }
    public void setEvaluation(String evaluation) 
    {
        this.evaluation = evaluation;
    }

    public String getEvaluation() 
    {
        return evaluation;
    }

    public String getCustomersName() {
        return customersName;
    }

    public void setCustomersName(String customersName) {
        this.customersName = customersName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .append("orderNumber", getOrderNumber())
            .append("orderCreationTime", getOrderCreationTime())
            .append("deliveryNumber", getDeliveryNumber())
            .append("shipmentNumber", getShipmentNumber())
            .append("belongTo", getBelongTo())
            .append("confirmTime", getConfirmTime())
            .append("confirmBy", getConfirmBy())
            .append("confirmNotice", getConfirmNotice())
            .append("pushDisWarehouse", getPushDisWarehouse())
            .append("evaluationStatus", getEvaluationStatus())
            .append("evaluationServiceAttitude", getEvaluationServiceAttitude())
            .append("evaluationDamageCondition", getEvaluationDamageCondition())
            .append("evaluationArriveTime", getEvaluationArriveTime())
            .append("evaluationHandlingConditions", getEvaluationHandlingConditions())
            .append("evaluation", getEvaluation())
            .append("customersName", getCustomersName())
            .toString();
    }
}
